Vcenter Deployment Size get
Gets the information about the current deployment size of vCenter
This operation was added in vSphere API 9.1.0.0.
returns a schema Vcenter Deployment DeploymentInfo containing the details about the vCenter deployment type
{
"size": "string",
"cpu_count": 0,
"memory": {
"value": 0,
"unit": "string"
},
"disks": [
{
"name": "string",
"size": {
"value": 0,
"unit": "string"
}
}
],
"total_disk_space": {
"value": 0,
"unit": "string"
},
"host_count": 0,
"vm_count": 0,
"modified_by_user": false
}
The deployment size of the vCenter, for example, small, medium , large and so on. The below values of {#member cpuCount}, {#member memory}, {#member disks} are minimum possible values for a given deployment size. In case the value of {#name modifiedByUser} is true, these values of { #cpuCount}, {#member memory}, {#member disks} represent the user modified values of these hardware resources and {#member size} represents the out of box deployment size. But the {#member hostCount} and {#member vmCount} still represent the maximum hosts and maximum VMs supported as per the out of box deployment size.
For more information see: Vcenter Deployment DeploymentSize.
This property was added in vSphere API 9.1.0.0.
The number of CPUs in a given deployment type.
This property was added in vSphere API 9.1.0.0.
The memory or RAM of a given deployment type.
This property was added in vSphere API 9.1.0.0.
A list of disks of type Vcenter Deployment Disk corresponding to a given deployment type.
This property was added in vSphere API 9.1.0.0.
Sum total of disk space needed for a given deployment size.
This property was added in vSphere API 9.1.0.0.
The maximum Host count supported by this deployment size.
This property was added in vSphere API 9.1.0.0.
The maximum Virtual Machine count supported by this deployment size.
This property was added in vSphere API 9.1.0.0.
A flag indicating whether the out of box hardware resources have been modified by the user. If it is set to false, the cpuCount, memory and disk values will match the definition of deployment-size, else the cpuCount, memory and disk represent user modified values.
This property was added in vSphere API 9.1.0.0.
if the caller is not authenticated.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
if the caller is not authorized.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
If there is other error raised as part of this call.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/deployment/size